Enable or Disable Consumers
PUT /obp/v7.0.0/management/consumers/CONSUMER_ID
OBPv3.1.0-enableDisableConsumers Roles: CanEnableConsumers,CanDisableConsumers Consumer
Enable/Disable a Consumer specified by CONSUMER_ID.
User Authentication is Required. The User must be logged in. The Application must also be authenticated.
URL Parameters:
CONSUMER_ID: 7uy8a7e4-6d02-40e3-a129-0b2bf89de8uh
JSON response body fields (1)
- enabled
- false
Example request body
{
"enabled": false
}Example success response
{
"enabled": false
}Possible errors (3)
- OBP-20001: User not logged in. Authentication is required!
- OBP-20006: User is missing one or more roles:
- OBP-50000: Unknown Error.